<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GK::ComboKeyDialog" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GK\Theme1\DialogCommon.png" SizeToImage="1"/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_CENTER | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#CDCDCD" BGColor="" BGTrans="1"/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | TBS_HORZ | TBS_BOTH | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GK::ComboKeyDialog" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GK::ComboKeyDialog"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::ComboKeyDialog"/>
			<ExtraConfig>
				<FreeLayout>
					<!--Title Bar-->					
					<Label X="20" Y="7" Width="200" FontHeight="20" Text="連擊鍵" ID="GK::ID_COMBOKEY_TiltleLabel" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<ImageList X="455" Y="10" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_COMBOKEY_Close">
						<Image File="Image\GK\Theme1\button_close_normal.png"/>
						<Image File="Image\GK\Theme1\button_close_over.png"/>
					</ImageList>					

					<ImageBox X="50" Y="75" Style="WS_CHILD | WS_VISIBLE" SizeToImage="1" ID="GK::ID_COMBOKEY_LIcon" File="Image\GK\Theme1\combo_key_icon.png"/>
					<ImageList X="86" Y="66" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_COMBOKEY_Key_0">
						<Image File="Image\GK\Theme1\combo_key_normal.png"/>
						<Image File="Image\GK\Theme1\combo_key_over.png"/>
						<Image File="Image\GK\Theme1\combo_key_setted.png"/>						
					</ImageList>
					<ImageList X="86" Y="124" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_COMBOKEY_Key_1">
						<Image File="Image\GK\Theme1\combo_key_normal.png"/>
						<Image File="Image\GK\Theme1\combo_key_over.png"/>
						<Image File="Image\GK\Theme1\combo_key_setted.png"/>
					</ImageList>
					<ImageList X="86" Y="182" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_COMBOKEY_Key_2">
						<Image File="Image\GK\Theme1\combo_key_normal.png"/>
						<Image File="Image\GK\Theme1\combo_key_over.png"/>
						<Image File="Image\GK\Theme1\combo_key_setted.png"/>
					</ImageList>
					
					<Label X="130" Y="70" Width="200" Height="40" FontHeight="20" FGTrans="0" BGTrans="0" FilterSpecChar="1" ID="GK::ID_COMBOKEY_Label_Key_0"/>
					<Label X="130" Y="128" Width="200" Height="40" FontHeight="20" FGTrans="0" BGTrans="0" FilterSpecChar="1" ID="GK::ID_COMBOKEY_Label_Key_1"/>
					<Label X="130" Y="186" Width="200" Height="40" FontHeight="20" FGTrans="0" BGTrans="0" FilterSpecChar="1" ID="GK::ID_COMBOKEY_Label_Key_2"/>
					
					<NumberEdit Visible="0" ID="GK::ID_COMBOKEY_NE_VKCode_0"/>
					<NumberEdit Visible="0" ID="GK::ID_COMBOKEY_NE_VKCode_1"/>
					<NumberEdit Visible="0" ID="GK::ID_COMBOKEY_NE_VKCode_2"/>
					
					<ImageList X="390" Y="70" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_COMBOKEY_Delete_Key_0">
						<Image File="Image\GK\Theme1\button_combokey_delete_normal.png"/>
						<Image File="Image\GK\Theme1\button_combokey_delete_over.png"/>
					</ImageList>					
					<ImageList X="390" Y="128" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_COMBOKEY_Delete_Key_1">
						<Image File="Image\GK\Theme1\button_combokey_delete_normal.png"/>
						<Image File="Image\GK\Theme1\button_combokey_delete_over.png"/>
					</ImageList>
					<ImageList X="390" Y="186" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_COMBOKEY_Delete_Key_2">
						<Image File="Image\GK\Theme1\button_combokey_delete_normal.png"/>
						<Image File="Image\GK\Theme1\button_combokey_delete_over.png"/>
					</ImageList>
					
					
					<TextEdit Visible="0" ID="GK::ID_COMBOKEY_TE_Key"/>
					<NumberEdit Visible="0" ID="GK::ID_COMBOKEY_VKCode"/>
				
					<!--right bottom corner-->
					<VirtualBox X="80" Y="244" Width="334" Height="35">
						<ColumnLayout ColSpace="6">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_COMBOKEY_OK">
								<Image File="Image\GK\Theme1\button_okcancel_normal.png"/>
								<Image File="Image\GK\Theme1\button_okcancel_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_COMBOKEY_Cancel">
								<Image File="Image\GK\Theme1\button_okcancel_normal.png"/>
								<Image File="Image\GK\Theme1\button_okcancel_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="80" Y="244" Width="334" Height="35"> <!--the same rect to image-->
						<ColumnLayout ColSpace="6" ColWidth="equal" ColAlignV="center">
							<Label Text="確定" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_COMBOKEY_OKLabel"/>
							<Label Text="取消" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_COMBOKEY_CancelLabel"/>
						</ColumnLayout>
					</VirtualBox>
				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GK::ComboKeyDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::KeyboardHookMapping"/>
			<Collaboration ExtensionPointID="GK::I_PbKeyboardHook" PluginID="GamingKeyboard"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvoker" Enable="1">
		<Plugin ID="GK::ComboKeyDialog" Bundle="..\DialogInvoker.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::ComboKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::ComboKeyDialog"/>
			<ExtraConfig>
				<Title>Combo Key</Title>
				<Size Width="400" Height="300" Resize="0" NoFrame="1"/>
				<IgnoreCancel>true</IgnoreCancel>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GK::ComboKeyDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GK::ComboKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GK::ComboKeyDialog"/>
			<Collaboration ExtensionPointID="GK::I_PbKeyboardHook" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::KeyboardHookMapping"/>
		</Plugin>
	</ExtensionPoint>

</File>
